petsc-3.12.4 2020-02-04
Report Typos and Errors

# ISSetBlockSize

informs an index set that it has a given block size

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISSetBlockSize(IS is,PetscInt bs)

Logicall Collective on IS

### Input Arguments

| is | - index set
| bs | - block size

### See Also

ISGetBlockSize(), ISCreateBlock()

### Level

intermediate

### Location

src/vec/is/is/interface/index.c

### Examples

src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex73.c.html

### Implementations

ISSetBlockSize_Block in src/vec/is/is/impls/block/block.c
ISSetBlockSize_General in src/vec/is/is/impls/general/general.c
ISSetBlockSize_Stride in src/vec/is/is/impls/stride/stride.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages